Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBInbox.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBInbox.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBInbox

public final class DBInbox.Row
extends Object
implements DBRow

Field Summary
`String` | `message`

Constructor Summary
`DBInbox.Row(int inboxId, DBUser.Row user, Date openingDate, Date dateRecieved, String description, DBApplication.Row application, String action, DBSystem.Row fromSystem, String message, String properties, String gkey)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete()`
`boolean` | `equals(Object o)`
`void` | `eval(Map prop, List args, ClassLoader cl)`
`String` | `getAction()`
`DBApplication.Row` | `getApplication()`
`Date` | `getDateRecieved()`
`String` | `getDescription()`
`DBSystem.Row` | `getFromSystem()`
`String` | `getGkey()`
`int` | `getInboxId()`
`Object` | `getKey()`
`List` | `getKeys()`
`Date` | `getOpeningDate()`
`Map` | `getProperties()`
`SDO` | `getSDO(QAppPlugin qapp)`
`DBUser.Row` | `getUser()`
`String` | `properties()`
`void` | `setDateReceived(Date dateRecievied)`
`void` | `setDescription(String description)`
`void` | `setSDO(SDO sdo)`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    public String message

Constructor Detail

### DBInbox.Row

    public DBInbox.Row(int inboxId,
                       DBUser.Row user,
                       Date openingDate,
                       Date dateRecieved,
                       String description,
                       DBApplication.Row application,
                       String action,
                       DBSystem.Row fromSystem,
                       String message,
                       String properties,
                       String gkey)

Method Detail

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### update

    public void update()
                throws Exception

### delete

    public void delete()
                throws Exception

### closed

    public boolean closed()

### getInboxId

    public int getInboxId()

### getUser

    public DBUser.Row getUser()

### getGkey

    public String getGkey()

### getOpeningDate

    public Date getOpeningDate()

### getDateRecieved

    public Date getDateRecieved()

### setDateReceived

    public void setDateReceived(Date dateRecievied)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getApplication

    public DBApplication.Row getApplication()

### getFromSystem

    public DBSystem.Row getFromSystem()

### getAction

    public String getAction()

### getProperties

    public Map getProperties()
                      throws Exception

### properties

    public String properties()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getSDO

    public SDO getSDO(QAppPlugin qapp)

### setSDO

    public void setSDO(SDO sdo)

### eval

    public void eval(Map prop,
                     List args,
                     ClassLoader cl)
              throws Exception

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD